Bug 196985 - rpmlint inconsistency help display
rpmlint inconsistency help display
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-27 19:21 EDT by jmp
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.77-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 05:26:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmp 2006-06-27 19:21:26 EDT
Description of problem:
non standard group inconsistency

Version-Release number of selected component (if applicable):
 0.76-1.fc5

How reproducible: Always


Steps to Reproduce:
1. within a spec file set %file %defattr(-,mail,apache,-)
2. make the RPM
3. run rpmlint -i -v
  
Actual results:
A file in this package is owned by a non standard group.
Standard groups are:

- root          - bin           - dip
- daemon        - sys           - ftp
- adm           - tty           - smb
- disk          - lp            - cdrom
- mem           - kmem          - pppusers
- wheel         - floppy        - cdwriter
- mail          - news          - audio
- uucp          - man           - dos
- games         - gopher        - nobody
- users         - console       - utmp
- lists         - gdm           - xfs
- popusers      - slipusers     - slocate
- x10           - urpmi         - apache
- postgres      - rpcuser       - rpm

Expected results:
a list which do not include 'apache'.

Additional info:
according to me, cheking is done against STANDARD_GROUPS_NEW variable (within
setuplist.py) but display variable contents STANDARD_GROUPS_OLD when reporting
the problem.
Comment 1 Ville Skyttä 2006-06-28 07:08:33 EDT
Actually, setuplist.py is probably dead code; the list of "standard" users and
groups was just hardcoded in the explanation.  The actual lists probably need
some work, but the root issue is now fixed upstream and will be in the next
rpmlint package revision: http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1210
Comment 2 Ville Skyttä 2006-06-30 05:26:05 EDT
Fixed in 0.77-1
Comment 3 jmp 2006-06-30 09:46:01 EDT
yes, my test show it fixed (thanks)
Comment 4 Ville Skyttä 2006-06-30 10:02:00 EDT
Well, it certainly was a bug, so NOTABUG is not quite an accurate resolution ;)

Note You need to log in before you can comment on or make changes to this bug.